/*
		QEAE.h for C and Rez (as information for dear programmers)
			Type declarations of Apple events
				defined in QuoEdit version 0.47
					February, 1999

		Copyright Lyomei Sakai 1996-1999 All rights reserved.
*/



/* suite code, event class */
#define kAEQuoEdit			'QEdt'
#define kAEMyMiscellaneous	'Misc'


/* event IDs */
#define kAEInsert			'insr'
#define kAEFind				'Find'
#define kAESearch			'Sear'		// since 0.47
#define kAEReplace			'Rep '
#define kAEReplaceAll		'RepA'
#define kAEArrangeWindows	'ArWn'
#define kAEPrevWindow		'PrWn'
#define kAENextWindow		'NxWn'
#define kAESpeak			'spk '
#define kAEDoKeyAction		'KeyA'
#define kAEJumpTo			'JmpT'
#define kAETransliterate	'Trl '
#define kAEAliasOfCopy		'Copy'
//#define kAEChooseOneFile	'StdF'		// obsolete (another "choose file" handled in 0.4 - 0.451)


/* keywords, types */
#define keyRemember				'Remb'		// since 0.4
#define keyWithDialogBox		'wDBx'		// since 0.4
#define keyAsStationery			'AsSt'		// since 0.45
#define keyWithStylInfo			'wStl'		// since 0.44 (new name of keyWithStyle)
#define keyFindDirection		'fDir'
#define typeFindDirection		'fDir'		// (typeEnumerated)
#define keyExtendSelection		'ExS '
#define keySelectDest			'SDst'
#define keySearchString			'SStr'		// since 0.47
#define keyReplaceString		'RStr'		// since 0.47
#define keyCaseSensitive		'kCSv'		// since 0.47
#define keyEntireWord			'kEWd'		// since 0.47
#define keyGrep					'kGrp'		// since 0.47
#define keyDesiredSearchLevel	'SLev'		// since 0.47
#define typeDesiredSearchLevel	'SLev'		// since 0.47 (typeEnumerated)
#define keyShowResult			'ShRs'		// since 0.47
#define keyScriptCode			'ScpC'		// since 0.47
#define keyStacking				'Stac'
#define typeUpOrDown			'UpDn'		// (typeEnumerated)
#define keyIgnoreNoUSErr		'INSE'
#define keyKeepInMemory			'KpMm'
#define keyTlTargetFormat		'TlTf'
#define keyTlTargetModifier		'TlTM'
#define keyTlSourceMask			'TlSM'
#define typeTlSubscript			'TlSM'		// (typeEnumerated)
#define typeTlTargetModifier	'TlTM'		// (typeEnumerated)
#define typeKeyKind				'KKin'		// (typeEnumerated)
#define keyModifierKeys			'ModK'
#define typeModifierKeys		'ModK'		// (typeEnumerated)
#define keyTimes				'Tims'		// since 0.4
#define typeRelationalTextLoc	'RTxL'		// (typeEnumerated)
#define keyForcing				'Frcn'		// since 0.46
//#define typeYesOrNo			'YorN'		// obsolete (but QuoEdit still accepts kAEYes/kAENo for a while)
//#define typeTlTargetFormat	'TlTf'		// --> typeTlSubscript ('TlSM')
//#define typeTlSourceMask		'TlSM'		// --> typeTlSubscript ('TlSM')
//#define keyFileType			'FTyp'		// (for kAEChooseOneFile)
//#define keyButtonName			'BtnN'		// (for kAEChooseOneFile)


/* classes */
#define cByte				'byt '
#define cDocumentProps		'dPrp'		// (just to reduce 'aete' code)
#define cBatchFindResult	'BFRs'		// since 0.47 (human name would be "batch found")


/* properties */
#define pInverted			'pInv'
#define pMeshed				'pMsh'
#define pShowLocation		'pShL'
#define pShowCode			'pShC'
#define pShowReturns		'pShR'
#define pShowTabs			'pShT'
#define pBoldCaret			'pBCr'
#define pLocInfoKind		'pLIK'
#define pTurningWindow		'pTPt'
#define pAutoIndent			'pAIn'
#define pIntelCutPaste		'pICP'		// since 0.4
#define pRememberSelection	'pRSl'
#define pTSMAware			'pTSM'
#define pUseNavigation		'pUNv'		// since 0.45
#define pCaretSpeed			'pCSp'
#define pUndoLevels			'pUdL'
#define pSearchString		'pSSt'
#define pReplaceString		'pRSt'
#define pCaseSensitive		'pCSv'
#define pEntireWord			'pEWd'
#define pGrep				'pGrp'		// since 0.42
#define pSpeaking			'pSpn'
#define pPausing			'pPau'
#define pCurrentFolder		'pCuF'		// since 0.44
#define pDialogBoxOpen		'pDBO'
#define pFontID				'pfid'
#define pLeading			'plht'
#define pTabWidth			'pTbW'
#define pPositio			'ppos'		// obsolete in dictionary but still handled internally (QuoEdit now gets pPosition 'posn' from FinderRegistry.h and FinderRegistry.r.)
#define pBoundsSize			'pBSz'
#define pPrintHeader		'pPrH'
#define pPrintFooter		'pPrF'
#define pPrintReturns		'pPrR'
#define pPrintTabs			'pPrT'
#define pSaveStyl			'pSst'		// since 0.45
#define pSavePageSetup		'pSPS'
#define pIsPropsModified	'iPMd'		// since 0.4
#define pOffset				'ofse'
#define pCharacterCode		'pCCd'
#define pHowManyChars		'pHMC'
#define pHowManyLines		'pHML'
#define pHowManyParas		'pHMP'
#define pHowManyWords		'pHMW'
//#define pStyledOutput		'pStO'		// ignored since 0.4 --> obsoleted in 0.45


/* enumerations */
#define kAEForward		'Fw  '
#define kAEBackward		'Bw  '
#define kAEOne			'One '		// since 0.47
#define kAEEachOne		'eOne'		// since 0.47
#define kAEUp			'Up  '
#define kAEDown			'Down'
#define kAELeftArrow	'LArK'
#define kAERightArrow	'RArK'
#define kAEDownArrow	'DArK'
#define kAEUpArrow		'UArK'
#define kAEBSKey		'BS K'
#define kAEFwdDelKey	'FD K'
#define kAETabKey		'TabK'
#define kAEReturnKey	'CR K'
#define kAEEnterKey		'EntK'
#define kAEShiftKey		'ShfK'
#define kAEOptionKey	'OptK'
#define kAECommandKey	'CmdK'
#define kAEControlKey	'CtrK'
#define kAEBgnOfDoc		'b_Dc'
#define kAEEndOfDoc		'e_Dc'
#define kAEBgnOfPara	'b_Pr'
#define kAEEndOfPara	'e_Pr'
#define kAERoman		'Rm  '
#define kAENative		'Natv'
#define kAERoman1		'Rm1 '
#define kAERoman2		'Rm2 '
#define kAEKatakana1	'KK1 '
#define kAEKatakana		'KK2 '
#define kAEHiragana		'HG2 '
#define kAEHangul		'Hg2 '
#define kAEJamo			'Jm2 '
#define kAEBopomofo		'Bp2 '
#define kAEUppercase	'uppc'		// only kAELowercase could be found in Apples Interfaces


/*
Event class of select event is kAEMiscStandards. <- Winter 1992 Apple Event Registry Errata
*/
